### Class

# EDataServer SourceSecurity

since: 3.6

#### Description [src]

    class EDataServer.SourceSecurity : EDataServer.SourceExtension
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.6

#### Hierarchy

#### Ancestors

- ESourceExtension
- GObject

#### Instance methods

###### e_source_security_dup_method

Thread-safe variation of e_source_security_get_method(). Use this function when accessing `extension` from multiple threads.

since: 3.6

###### e_source_security_get_method

Returns the method used to establish a secure network connection to a remote account. There are no pre-defined method names; backends are free to set this however they wish. If a secure connection is not desired, the convention is to set `ESourceSecurity:method` to “none”.

since: 3.6

###### e_source_security_get_secure

This is a convenience function which returns whether a secure network connection is desired, regardless of the method used. This relies on the convention of setting `ESourceSecurity:method` to “none” when a secure network connection is not desired.

since: 3.6

###### e_source_security_set_method

Sets the method used to establish a secure network connection to a remote account. There are no pre-defined method names; backends are free to set this however they wish. If a secure connection is not desired, the convention is to set `ESourceSecurity:method` to “none”. In keeping with that convention, `ESourceSecurity:method` will be set to “none” if `method` is `NULL` or an empty string.

since: 3.6

###### e_source_security_set_secure

This function provides a simpler way to set `ESourceSecurity:method` when using a secure network connection is a yes or no option and the exact method name is unimportant. If `secure` is `FALSE`, the `ESourceSecurity:method` property is set to “none”. If `secure` is `TRUE`, the function assumes the backend will use Transport Layer Security and sets the `ESourceSecurity:method` property to “tls”.

since: 3.6

##### Methods inherited from ESourceExtension (4)

###### e_source_extension_get_source

Returns the `ESource` instance to which `extension` belongs.

deprecated: 3.8 since: 3.6

###### e_source_extension_property_lock

Acquires a property lock, thus no other thread can change properties of the `extension` until the lock is released.

since: 3.18

###### e_source_extension_property_unlock

Releases a property lock, previously acquired with e_source_extension_property_lock(), thus other threads can change properties of the `extension`.

since: 3.18

###### e_source_extension_ref_source

Returns the `ESource` instance to which the `extension` belongs.

since: 3.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataServer.SourceSecurity:method

Security method.

###### EDataServer.SourceSecurity:secure

Secure the network connection.

##### Properties inherited from ESourceExtension (1)

###### EDataServer.SourceExtension:source

The `ESource` being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerSourceSecurityClass {
      ESourceExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: ESourceExtensionClass`

  No description available.